Bug 1655170 - afflib should probably bundle lzma officially
Summary: afflib should probably bundle lzma officially
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: afflib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-30 20:34 UTC by Richard W.M. Jones
Modified: 2019-08-15 18:51 UTC (History)
3 users (show)

Fixed In Version: afflib-3.7.18-2.fc30 afflib-3.7.18-2.el7 afflib-3.7.18-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-13 00:03:17 UTC


Attachments (Terms of Use)
Suggested patch (709 bytes, text/plain)
2018-11-30 20:34 UTC, Richard W.M. Jones
no flags Details

Description Richard W.M. Jones 2018-11-30 20:34:12 UTC
Description of problem:

Long story is here:
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/BN3VZEBKNWO4K77F3YJD2KMIKIBTYZY7/

But basically afflib bundles lzma.  lzma is dead upstream and
orphaned in Fedora, so afflib can't use the Fedora version.  Also
it seems like lzma has different API variants and afflib can't
use the one in Fedora even if it wanted to.

This will require patching afflib.spec and getting approval
from FESCO.

Version-Release number of selected component (if applicable):

afflib in Rawhide

Comment 1 Richard W.M. Jones 2018-11-30 20:34:49 UTC
Created attachment 1510257 [details]
Suggested patch

Comment 3 Nicolas Chauvet (kwizart) 2018-11-30 21:07:11 UTC
The patch itslef is good, but don't expect me to handle the fesco request anytime soon. (so anyone feel free to ask permission).

Comment 4 Richard W.M. Jones 2019-01-07 08:48:42 UTC
This was at least partially fixed upstream.  However afflib still needs:

Provides: bundled(lzma) = 4.43

Comment 5 Fedora Update System 2019-04-02 00:00:35 UTC
afflib-3.7.18-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-131dc8a79a

Comment 6 Fedora Update System 2019-04-02 00:00:43 UTC
afflib-3.7.18-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-96ade42a56

Comment 7 Fedora Update System 2019-04-02 00:04:54 UTC
afflib-3.7.18-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-50a6a1ddfd

Comment 8 Fedora Update System 2019-04-03 02:27:10 UTC
afflib-3.7.18-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-131dc8a79a

Comment 9 Fedora Update System 2019-04-03 04:37:49 UTC
afflib-3.7.18-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-96ade42a56

Comment 10 Fedora Update System 2019-04-03 18:16:36 UTC
afflib-3.7.18-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-50a6a1ddfd

Comment 11 Fedora Update System 2019-04-13 00:03:17 UTC
afflib-3.7.18-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-07-09 00:30:53 UTC
afflib-3.7.18-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-08-15 18:51:30 UTC
afflib-3.7.18-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.